# Interface AcquisitionInformation

All Known Implementing Classes:
  `DefaultAcquisitionInformation`

@UML(identifier="MI_AcquisitionInformation", specification=ISO_19115_2) public interface AcquisitionInformation
Designations for the measuring instruments, the platform carrying them, and the mission to which the data contributes.

Since:
  2.3

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Collection<? extends Plan>`
  `getAcquisitionPlans()`
  Identifies the plan as implemented by the acquisition.
  `Collection<? extends Requirement>`
  `getAcquisitionRequirements()`
  Identifies the requirement the data acquisition intends to satisfy.
  `EnvironmentalRecord`
  `getEnvironmentalConditions()`
  A record of the environmental circumstances during the data acquisition.
  `Collection<? extends Instrument>`
  `getInstruments()`
  General information about the instrument used in data acquisition.
  `Collection<? extends Objective>`
  `getObjectives()`
  Identification of the area or object to be sensed.
  `Collection<? extends Operation>`
  `getOperations()`
  General information about an identifiable activity which provided the data.
  `Collection<? extends Platform>`
  `getPlatforms()`
  General information about the platform from which the data were taken.

- ## Method Details

  - ### getAcquisitionPlans

    @UML(identifier="acquisitionPlan", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Plan> getAcquisitionPlans()
    Identifies the plan as implemented by the acquisition.
    Returns:
      Plan as implemented by the acquisition.

  - ### getAcquisitionRequirements

    @UML(identifier="acquisitionRequirement", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Requirement> getAcquisitionRequirements()
    Identifies the requirement the data acquisition intends to satisfy.
    Returns:
      Requirement the data acquisition intends to satisfy.

  - ### getEnvironmentalConditions

    @UML(identifier="environmentalConditions", obligation=OPTIONAL, specification=ISO_19115_2) EnvironmentalRecord getEnvironmentalConditions()
    A record of the environmental circumstances during the data acquisition.
    Returns:
      Record of the environmental circumstances.

  - ### getInstruments

    @UML(identifier="instrument", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Instrument> getInstruments()
    General information about the instrument used in data acquisition.
    Returns:
      Instrument used in data acquisition.

  - ### getObjectives

    @UML(identifier="objective", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Objective> getObjectives()
    Identification of the area or object to be sensed.
    Returns:
      Area or object to be sensed.

  - ### getOperations

    @UML(identifier="operation", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Operation> getOperations()
    General information about an identifiable activity which provided the data.
    Returns:
      Identifiable activity which provided the data.

  - ### getPlatforms

    @UML(identifier="platform", obligation=OPTIONAL, specification=ISO_19115_2) Collection<? extends Platform> getPlatforms()
    General information about the platform from which the data were taken.
    Returns:
      Platform from which the data were taken.